RDM::Parameter Class Reference

The Parameter class. More...

`#include <parameter.h>`

## Public Member Functions

| Parameter ()
| Property::Property.
| ~Parameter ()
| Parameter::~Parameter.
void | disc (const MsgPtr message, MsgPtr response) const
| Parameter::disc. More...
void | get (const MsgPtr message, MsgPtr response) const
| Parameter::get. More...
void | set (const MsgPtr message, MsgPtr response) const
| Parameter::set. More...
void | discAction (const PidAction action)
| Parameter::discAction. More...
void | getAction (const PidAction action)
| Parameter::getAction. More...
void | setAction (const PidAction action)
| Parameter::setAction. More...

## Detailed Description

The Parameter class.

## Member Function Documentation

## disc()

void RDM::Parameter::disc | ( | const MsgPtr | message,
|  | MsgPtr | response
| ) |  | const

Parameter::disc.

Parameters

  message |
  response |

## discAction()

void RDM::Parameter::discAction | ( | const PidAction | action | ) |

Parameter::discAction.

Parameters

  action |

## get()

void RDM::Parameter::get | ( | const MsgPtr | message,
|  | MsgPtr | response
| ) |  | const

Parameter::get.

Parameters

  message |
  response |

## getAction()

void RDM::Parameter::getAction | ( | const PidAction | action | ) |

Parameter::getAction.

Parameters

  action |

## set()

void RDM::Parameter::set | ( | const MsgPtr | message,
|  | MsgPtr | response
| ) |  | const

Parameter::set.

Parameters

  message |
  response |

## setAction()

void RDM::Parameter::setAction | ( | const PidAction | action | ) |

Parameter::setAction.

Parameters

  action |

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/parameter.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rdm/parameter.cpp